com.sun.mail.auth

## Class Ntlm

- java.lang.Object
- - com.sun.mail.auth.Ntlm

-     public class Ntlm
      extends Object

  NTLMAuthentication:
  Author:
    Michael McMahon, Bill Shannon (adapted for JavaMail)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ntlm(String ntdomain, String hostname, String username, String password, MailLogger logger)` Create an NTLM authenticator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `generateType1Msg(int flags)`
    `String` | `generateType3Msg(String challenge)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Ntlm

          public Ntlm(String ntdomain,
              String hostname,
              String username,
              String password,
              MailLogger logger)

      Create an NTLM authenticator. Username may be specified as domain\\username in the Authenticator. If this notation is not used, then the domain will be taken from the ntdomain parameter.
      Parameters:
        `ntdomain` - the NT domain
        `hostname` - the host name
        `username` - the user name
        `password` - the password
        `logger` - the MailLogger

  - ### Method Detail

    - #### generateType1Msg

          public String generateType1Msg(int flags)

    - #### generateType3Msg

          public String generateType3Msg(String challenge)

Copyright © 2016 Oracle. All rights reserved.